$jednotky = [IO.DriveInfo]::GetDrives()
[int] $hdd = 0
[int] $externi = 0
[int] $cd = 0
[int] $sitove = 0
[int] $nezname = 0
foreach ($jednotka in $jednotky) {
$typ_jednotky = $jednotka.drivetype
if ($jednotka.isready) {
	switch ($typ_jednotky)
		{ 
            		"Fixed" 	{$hdd+= 1} 
            		"Removable" 	{$externi+= 1} 
            		"CDRom" 	{$cd+= 1} 
            		"Network" 	{$sitove+= 1} 
			default		{$nezname+= 1}
        	}
	}
}
Write-Host "Dostupne jednotky: `n HDD: ", $hdd, "`n Externi:", $externi, "`n CDROM:", $cd, `
"`n Sitove:", $sitove, "`n Nezname:", $nezname
